<?php
  
class ControllerModuleTop1eFacebookBoxLike extends Controller {
	/**
	 * Main controller function that handles the modules required config
	 * , language and template loading.
	 * 
	 * @access protected
	 * @return void
	 */
	protected function index() {
		
		
		$this->data['facebooklike_profile_url']	= $this->config->get('facebooklike_profile_url');
		$this->data['facebooklike_height']		= $this->config->get('facebooklike_height');
		$this->data['facebooklike_width']		= $this->config->get('facebooklike_width');
		$this->data['facebooklike_stream']		= $this->config->get('facebooklike_stream');
		$this->data['facebooklike_colorscheme']	= $this->config->get('facebooklike_colorscheme');
		$this->data['facebooklike_header']		= $this->config->get('facebooklike_header');
		$this->data['facebooklike_show_faces']	= $this->config->get('facebooklike_show_faces');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/top1e_facebookboxlike.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/top1e_facebookboxlike.tpl';
		} else {
			$this->template = 'default/template/module/top1e_facebookboxlike.tpl';
		}
		
		$this->render();
	}
}
?>